# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: net-wireless/kwifiselector/kwifiselector-0.8.ebuild petric Exp $

inherit kde eutils

DESCRIPTION="KDE Wireless Network Selector"
HOMEPAGE="http://kwifiselector.sourceforge.net"
SRC_URI="mirror://sourceforge/kwifiselector/${PN}/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""

DEPEND=">=net-wireless/wireless-tools-28"
RDEPEND="app-admin/sudo
	 net-misc/dhcpcd"

need-kde 3.4

pkg_postinst () {
    enewgroup wifiusers
    count=`grep -c %wifiusers /etc/sudoers`
    if [ ${count} -eq 0 ]
    then
	einfo "Add kwifiselectior to /etc/sudoers"
        echo "# Added by kwifiselector" >> /etc/sudoers
        echo "Defaults:%wifiusers env_keep=DISPLAY" >> /etc/sudoers
        echo "Defaults:%wifiusers env_keep+=XAUTHORITY" >> /etc/sudoers
	echo "%wifiusers ALL=NOPASSWD:/usr/bin/kwifiselector" >> /etc/sudoers
        echo "# End kwifiselector" >> /etc/sudoers
    fi
    
    einfo "Please add all users which should be able to use kwifiselector to"
    einfo "the user group wifiusers."
}
